Emmabuntüs Forum

  Accueil -  Tutoriels -  Téléchargements -  Vidéos -  Interviews -  Qui sommes-nous -  Nous contacter -  Soutenir


RESOLU qu'est-ce qui est installé?

0 Membres et 1 Invité sur ce sujet

oui

  • Newbie
  • *
    • Messages: 25
    • Voir le profil
bonjour,

ce soir, ma nouvelle installation d'emmabuntüs est quasi parfaite. donc degré de satisfaction maximal car la prise en main ne m'a demandé que 2 jours.

j'ai découvert des "copains" qui sont rarement offerts d'emblée dans une installation, skype par exemple (enfin, pas vraiment d'emblée, mais une petite fenêtre pose la question pendant l'installation! Prédéré parfait!). Mais aussi scratch, très utile pour occuper les jeunes de manière intelligente pendant un confinement! Je n'ai pas encore testé, mais j'ai l'impression que ce n'est pas version que j'avais (et ai encore, la distro n'est pas encore effacée de mon DD) sur Deepin, qui est Scratch2, une version déjà largement dépassée, mais qui avait des améliorations importantes par rapport à scratch (donc scratch(1)!).

comment peut-on voir ce qui est effectivement installé?

par exemple sur dpupbuster de  josp2424, un dérivé absolument actuel de Debian, quand je vais sur /var/packages/builtin je trouve pour chaque packet installé une fichier texte me donnant le contenu du paquet avec même l'indication exacte des versions des fichiers dans le genre, voici, le fichier pour xserver dexorg (scratch n'est ni installé ni disponible, donc je ne peux pas le citer, lui):

Citer
/lib/systemd/system/wacom-inputattach@.service
/lib/udev/rules.d/64-xorg-xkb.rules
/lib/udev/rules.d/69-wacom.rules
/usr/bin/X
/usr/bin/Xorg
/usr/bin/cvt
/usr/bin/gtf
/usr/bin/intel-virtual-output
/usr/bin/isdv4-serial-debugger
/usr/bin/isdv4-serial-inputattach
/usr/bin/synclient
/usr/bin/syndaemon
/usr/bin/vmwarectrl
/usr/bin/xsetwacom
/usr/lib/i386-linux-gnu/libI810XvMC.so
/usr/lib/i386-linux-gnu/libI810XvMC.so.1
/usr/lib/i386-linux-gnu/libI810XvMC.so.1.0.0
/usr/lib/i386-linux-gnu/libIntelXvMC.so
/usr/lib/i386-linux-gnu/libIntelXvMC.so.1
/usr/lib/i386-linux-gnu/libIntelXvMC.so.1.0.0
/usr/lib/i386-linux-gnu/libchromeXvMC.so
/usr/lib/i386-linux-gnu/libchromeXvMC.so.1
/usr/lib/i386-linux-gnu/libchromeXvMC.so.1.0.0
/usr/lib/i386-linux-gnu/libchromeXvMCPro.so
/usr/lib/i386-linux-gnu/libchromeXvMCPro.so.1
/usr/lib/i386-linux-gnu/libchromeXvMCPro.so.1.0.0
/usr/lib/i386-linux-gnu/xorg/modules/drivers/ast_drv.so
/usr/lib/xorg/Xorg
/usr/lib/xorg/modules/drivers/amdgpu_drv.so
/usr/lib/xorg/modules/drivers/ati_drv.so
/usr/lib/xorg/modules/drivers/cirrus_alpine.so
/usr/lib/xorg/modules/drivers/cirrus_drv.so
/usr/lib/xorg/modules/drivers/cirrus_laguna.so
/usr/lib/xorg/modules/drivers/fbdev_drv.so
/usr/lib/xorg/modules/drivers/geode_drv.so
/usr/lib/xorg/modules/drivers/glide_drv.so
/usr/lib/xorg/modules/drivers/intel_drv.so
/usr/lib/xorg/modules/drivers/mach64_drv.so
/usr/lib/xorg/modules/drivers/mga_drv.so
/usr/lib/xorg/modules/drivers/modesetting_drv.so
/usr/lib/xorg/modules/drivers/neomagic_drv.so
/usr/lib/xorg/modules/drivers/nouveau_drv.so
/usr/lib/xorg/modules/drivers/openchrome_drv.so
/usr/lib/xorg/modules/drivers/qxl_drv.so
/usr/lib/xorg/modules/drivers/r128_drv.so
/usr/lib/xorg/modules/drivers/radeon_drv.so
/usr/lib/xorg/modules/drivers/savage_drv.so
/usr/lib/xorg/modules/drivers/siliconmotion_drv.so
/usr/lib/xorg/modules/drivers/sisusb_drv.so
/usr/lib/xorg/modules/drivers/tdfx_drv.so
/usr/lib/xorg/modules/drivers/trident_drv.so
/usr/lib/xorg/modules/drivers/vesa_drv.so
/usr/lib/xorg/modules/drivers/vmware_drv.so
/usr/lib/xorg/modules/drivers/ztv_drv.so
/usr/lib/xorg/modules/extensions/libglx.so
/usr/lib/xorg/modules/input/aiptek_drv.so
/usr/lib/xorg/modules/input/elographics_drv.so
/usr/lib/xorg/modules/input/evdev_drv.so
/usr/lib/xorg/modules/input/joystick_drv.so
/usr/lib/xorg/modules/input/kbd_drv.so
/usr/lib/xorg/modules/input/libinput_drv.so
/usr/lib/xorg/modules/input/mouse_drv.so
/usr/lib/xorg/modules/input/mtrack_drv.so
/usr/lib/xorg/modules/input/multitouch_drv.so
/usr/lib/xorg/modules/input/mutouch_drv.so
/usr/lib/xorg/modules/input/synaptics_drv.so
/usr/lib/xorg/modules/input/void_drv.so
/usr/lib/xorg/modules/input/wacom_drv.so
/usr/lib/xorg/modules/input/xwiimote_drv.so
/usr/lib/xorg/modules/libexa.so
/usr/lib/xorg/modules/libfb.so
/usr/lib/xorg/modules/libfbdevhw.so
/usr/lib/xorg/modules/libglamoregl.so
/usr/lib/xorg/modules/libint10.so
/usr/lib/xorg/modules/libshadow.so
/usr/lib/xorg/modules/libshadowfb.so
/usr/lib/xorg/modules/libvbe.so
/usr/lib/xorg/modules/libvgahw.so
/usr/lib/xorg/modules/libwfb.so
/usr/lib/xorg/protocol.txt
/usr/lib/xserver-xorg-video-intel/xf86-video-intel-backlight-helper
/usr/share/X11/xorg.conf.d/10-amdgpu.conf
/usr/share/X11/xorg.conf.d/10-evdev.conf
/usr/share/X11/xorg.conf.d/10-quirks.conf
/usr/share/X11/xorg.conf.d/10-radeon.conf
/usr/share/X11/xorg.conf.d/40-libinput.conf
/usr/share/X11/xorg.conf.d/50-joystick.conf
/usr/share/X11/xorg.conf.d/50-mtrack.conf
/usr/share/X11/xorg.conf.d/50-multitouch.conf
/usr/share/X11/xorg.conf.d/60-xorg-xwiimote.conf
/usr/share/X11/xorg.conf.d/70-synaptics.conf
/usr/share/X11/xorg.conf.d/70-wacom.conf
/usr/share/bug/xorg/control
/usr/share/bug/xserver-xorg-core/script
/usr/share/bug/xserver-xorg-input-aiptek/script
/usr/share/bug/xserver-xorg-input-elographics/script
/usr/share/bug/xserver-xorg-input-evdev/script
/usr/share/bug/xserver-xorg-input-joystick/script
/usr/share/bug/xserver-xorg-input-keyboard/script
/usr/share/bug/xserver-xorg-input-libinput/script
/usr/share/bug/xserver-xorg-input-mouse/script
/usr/share/bug/xserver-xorg-input-mtrack/script
/usr/share/bug/xserver-xorg-input-multitouch/script
/usr/share/bug/xserver-xorg-input-mutouch/script
/usr/share/bug/xserver-xorg-input-synaptics/script
/usr/share/bug/xserver-xorg-input-void/script
/usr/share/bug/xserver-xorg-input-xwiimote/script
/usr/share/bug/xserver-xorg-video-amdgpu/script
/usr/share/bug/xserver-xorg-video-ast/script
/usr/share/bug/xserver-xorg-video-ati/script
/usr/share/bug/xserver-xorg-video-cirrus/script
/usr/share/bug/xserver-xorg-video-fbdev/script
/usr/share/bug/xserver-xorg-video-geode/script
/usr/share/bug/xserver-xorg-video-glide/script
/usr/share/bug/xserver-xorg-video-intel/script
/usr/share/bug/xserver-xorg-video-mach64/script
/usr/share/bug/xserver-xorg-video-mga/script
/usr/share/bug/xserver-xorg-video-neomagic/script
/usr/share/bug/xserver-xorg-video-nouveau/script
/usr/share/bug/xserver-xorg-video-openchrome/script
/usr/share/bug/xserver-xorg-video-qxl/script
/usr/share/bug/xserver-xorg-video-r128/script
/usr/share/bug/xserver-xorg-video-radeon/script
/usr/share/bug/xserver-xorg-video-savage/script
/usr/share/bug/xserver-xorg-video-siliconmotion/script
/usr/share/bug/xserver-xorg-video-sisusb/script
/usr/share/bug/xserver-xorg-video-tdfx/script
/usr/share/bug/xserver-xorg-video-trident/script
/usr/share/bug/xserver-xorg-video-vesa/script
/usr/share/bug/xserver-xorg-video-vmware/script
/usr/share/bug/xserver-xorg/script
/usr/share/lintian/overrides/xserver-xorg
/usr/share/lintian/overrides/xserver-xorg-core
/usr/share/lintian/overrides/xserver-xorg-video-intel
/usr/share/lintian/overrides/xserver-xorg-video-openchrome
/usr/share/polkit-1/actions/org.x.xf86-video-intel.backlight-helper.policy
/usr/share/xserver-xorg/pci/geode.ids
/var/lib/xkb/README.compiled

« Modifié: août 23, 2020, 11:45:55 pm par oui »


alain-tux

  • Global Moderator
  • Jr. Member
  • *****
    • Messages: 87
    • Voir le profil
Bonjour Oui. 
 
Dans synaptic, tu clique droit sur le paquet : "propriétés" ==> fichiers installés.   
   
Sinon, la commande:apt-cache depends nom_du_paquet
Te donne la liste des dépendances.
PC : Desktop HP Compaq 8200 Elite SFF PC | CPU : i7-2600 | RAM : 4GB | GPU : AMD RV730 PRO [Radeon HD 4650]
OS : emmade4 | Kernel: 5.10
In a world without walls and fences, who needs windows and gates?


oui

  • Newbie
  • *
    • Messages: 25
    • Voir le profil
bonsoir alain

et merci, oui, cela répond à ma question! mon problème est que, essentiellement puppyiste (je crois que tu l'es ou que tu le fus aussi, non?), je n'utilise pas synaptic. en général, apt / apt-get me suffit / me convient mieux, car, au moment de l'installation, il me donne en clair ce qu'il va installer, mais me propose aussi de vérifier l'opportunité d'installer un peu plus si utile. c'est ainsi qu'on se rend compte qu'on est en train d'installer toute une colonie de webkit's, la vraie peste, en raison de la faible compatibilité avec les anciens logiciels bâtis avec webkit et dérivés, et idem avec quantité d'autres logiciels. avec apt, il me suffit de faire

# sudo apt searc webkit > quoidinstallepour-webkit

et je trouve à tête reposée dans mon éditeur de texte ce qui est en rapport avec anotation de ce qui est installé! dans synaptic, l'information est dans la petite fenêtre supérieure de droite, et il faut scroller pour trouver l'information que l'on doit retaper soi-même à la main si on veut en faire usage en différé! c'est l'ennui de tout ce que se fait en petites fenêtres...

je viens de faire le test et vois que j'ai du webkit qt à gogo d'installé (mais je sais en partie pourquoi: j'ai installé aussi epiphany-browser (téoriquement au moins navigateur officiel de gnome, à la restriction près que les distros ne l'installent pas quand on installe le bureau gnome comme option principale, idem KDE et Konqueror qui semble totalement déclassifié! mais dans un récent test de debian testing, epiphany-fonctionnait admirablement bien sur tous les sites français parfois très enquiquinants que j'utilise, Figaro, France-TV direct ou replays, etc... Pourquoi alors reste-il déclassifié!!! Cela n'encourage pas les développeurs à se couper en quatre pour les linuxiens...)...). connais-tu une source d'informations meilleure? par exemple fournissant en plus l'information qui / quelle application recours à telle ou telle dépendance? je ne connais que l'analyse globale dans les debian's via deborphan me disant seulement si j'ai des binaires inutles!

crdlmt

PS: question subsidaire pour alain (ou autres puppyistes) https://forum.emmabuntus.org/index.php/topic,518.0.html


alain-tux

  • Global Moderator
  • Jr. Member
  • *****
    • Messages: 87
    • Voir le profil
Bonjour Oui. 

Désolé de te décevoir, mais non je n'ai jamais été puppyiste... 

Effectivement, tout comme toi, je préfère installer avec apt. Mais je trouve synaptic bien pratique pour d'autres choses, comme la recherche. Bien sur avec  apt ou dpkg on peut se passer de synaptic, mais  le temps d'éplucher les "man" pour trouver l'option qui va bien, je reconnais que j'utilise assez souvent la solution du moindre effort.

 
c'est ainsi qu'on se rend compte qu'on est en train d'installer toute une colonie de webkit's, la vraie peste, en raison de la faible compatibilité avec les anciens logiciels bâtis avec webkit et dérivés, et idem avec quantité d'autres logiciels. avec apt, il me suffit de faire

# sudo apt searc webkit > quoidinstallepour-webkit

et je trouve à tête reposée dans mon éditeur de texte ce qui est en rapport avec anotation de ce qui est installé! dans synaptic
 
Je pense que tu fais erreur ici car "apt search webkit" (tu as oublié le "h" a search) ne te donne pas ce  qui est installé, mais la liste des paquets/logiciels contenant "webkit" (ou webkitGTK+ ou Qtwebkit ou autres  contenant la chaine "webkit"). A moins bien sur, que je t'ai mal compris...La question que je me pose est : "Qu'as tu contre "webkit?"  Il est difficile de s'en passer, car comme tu as pu le voir il y a pas mal de logiciels qui l'utilise (pas que epiphany...)
Ensuite, je n'ai pas d'avis sur la "déclassification" de konkeror et d'epiphany. Qu’appelles tu "déclassification" ?   


connais-tu une source d'informations meilleure? par exemple fournissant en plus l'information qui / quelle application recours à telle ou telle dépendance?


Je fais une recherche sur internet avec le nom du paquet. Par exemple pour webkitgtk+ : https://packages.debian.org/stretch/libwebkitgtk-3.0-0
Cela me suffit...Mais bon la  commande "apt-cache depends webkitgtk+"est préférable car ça te donne les versions de TON system, alors  que sur internet faut bien faire attention.Une recherche sur internet peut être intéressante si tu veux installer un paquet qui n'est  pas dans les dépôts de  ton  OS. 

 
PS: question subsidaire pour alain (ou autres puppyistes) https://forum.emmabuntus.org/index.php/topic,518.0.html
Je suis désolé :-[ , je n'interviendrai pas dans se sujet, car, je ne suis pas et n'ai jamais été "puppyiste" et je ne procède pas comme toi pour faire  une partition commune à 2 ou plus OS. D'ailleurs, je n'ai pas bien compris ta méthode (cela dois venir du fait que je ne suis pas puppyiste ;) ). Entre nous, je pense que tu te complique bien la vie avec ces histoires de ce qui est installé avec un logiciel et même avec ta partition commune...
PC : Desktop HP Compaq 8200 Elite SFF PC | CPU : i7-2600 | RAM : 4GB | GPU : AMD RV730 PRO [Radeon HD 4650]
OS : emmade4 | Kernel: 5.10
In a world without walls and fences, who needs windows and gates?